#include "vybuch.h"

Vybuch1::Vybuch1() //konstruktor
{
SetPx(0);
SetPy(0);
SetSpeed(0);
SetUhol(0);
SetHealth(1);
SetMax_health(1);
SetDalsia(NULL);
SetPredosla(NULL);
SetBitmap(NULL);
}

void Vybuch1::Nakresli()
{
  circle(bitmap,(int) GetPx(),(int) GetPy(),(int) (GetMax_health()-GetHealth()),makecol(255,(int) 255 - 255*GetHealth()/GetMax_health(),0));
  circle(bitmap,(int) GetPx(),(int) GetPy(),(int) (GetMax_health()-GetHealth()) + 1,makecol(255,(int) 255 - 255*GetHealth()/GetMax_health(),0));
}
